#FilterSection {
    position: sticky;
    top: 10px;
    max-height: calc(100vh - 20px);
    overflow-y: auto;
}
#FilterSection .flight-filter-grid,
#FilterSection .flight-timing-grid,
#FilterSection .stop-policy-grid {
    grid-template-columns: 1fr;
}
#FilterSection .search-by-flight label,
#FilterSection .stops label {
    display: flex;
    padding-left: 0;
}
.flight-search-listing-page .flight-navigation-button {
    gap: 20px;
}
.flightOneWayFilterGrid {
    grid-template-columns: 300px 1fr;
}
.flightRoundDomesticFilterGrid {
    grid-template-columns: 300px 1fr 1fr;
}
.col-12.hide-on-med-and-down .sort-button-grid.domestic-round-trip-button span {
    font-size: 0.75rem;
}
.col-12.hide-on-med-and-down .sort-button-grid.domestic-round-trip-button {
    display: flex;
    justify-content: space-between;
}
.flight-top-extra-buttons {
    background: #d5d0d0;
    z-index: 2;
}
@media screen and (max-width: 991px) {
    .col-12.hide-on-med-and-down
        .sort-button-grid.domestic-round-trip-button
        span {
        font-size: 0.7rem;
    }
    .flightOneWayFilterGrid {
        grid-template-columns: 1fr;
        gap: 0;
    }
    .flightRoundDomesticFilterGrid {
        grid-template-columns: 1fr 1fr;
        gap: 10px;
    }
    .flightRoundDomesticFilterGrid > div:nth-child(1) {
        grid-area: 2/1/3/3;
    }
    #FilterSection {
        position: fixed;
        top: 0;
        bottom: 0;
        left: 0;
        transition: all 0.3s linear;
        right: unset;
        width: min(350px, 100vw);
        max-height: 100vh;
        z-index: 25;
        overflow-y: auto;
    }
    #FilterSection.filter-below-lg-hide {
        left: -352px;
        box-shadow: unset;
    }
}
@media screen and (max-width: 768px) {
    .flightRoundDomesticFilterGrid {
        grid-template-columns: 1fr;
        gap: 0;
    }
}
